//+------------------------------------------------------------------+
//|                                                      sMatrix.mq4 |
//|                                                                * |
//|                                                                * |
//+------------------------------------------------------------------+

#property copyright "Integer"
#property link      "https://login.mql5.com/ru/users/Integer"

#include <incMatrix.mqh>

CIntMatrix Mx;
//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int OnStart()
  {

/*

        

      3*x0  + 2*x1  - 5*x2  = -1
      2*x0  - 1*x1  + 3*x2  = 13
      1*x0  + 2*x1  - 1*x2  = 9
   
   */

   double k[]=
     {
      3,2,-5,
      2,-1,3,
      1,2,-1,
      3,3 //      ,     
     };
   double y[]=
     {
      -1,
      13,
      9,
      3,1 // 
     };

   switch(Mx.SystemCheck(k,y))
     {
      case -1:
         Alert("   ");
         return(0);
         break;
      case 0:
         Alert("   ");
         break;
      case 1:
         Alert("   ");
         return(0);
         break;
     }

   double x[]; //   

   if(Mx.SystemKramer(k,y,x))
     {
      Mx.Alert2(x,8,"  ");
     }
   else
     {
      Alert("     ( )");
     }

   if(Mx.SystemInverse(k,y,x))
     {
      Mx.Alert2(x,8,"   ");
     }
   else
     {
      Alert("     ( )");
     }

   if(Mx.SystemGauss(k,y,x))
     {
      Mx.Alert2(x,8,"  ");
     }
   else
     {
      Alert("     ( )");
     }

   return(0);
  }
//+------------------------------------------------------------------+
